#ifndef FRAME_CPP_INTERFACE__FrDetector_HH
#define FRAME_CPP_INTERFACE__FrDetector_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/detector.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef Detector FrDetector;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrDetector.hh"
#else
#error Unsupported version
#endif

namespace FrameCPP
{
  typedef Version::FrDetector FrDetector;
}

#endif /* FRAME_CPP_INTERFACE__FrDetector_HH */
